com.trendmicro.ds.appcontrol.rest.object.drift

## Class DriftItemSummary

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.drift.DriftItemSummary

-     public class DriftItemSummary
      extends java.lang.Object

  A drift item from the list.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DriftItemSummary()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getChangeBy()` Get the operating system user ID for the user that made the change.
    `long` | `getChangeID()` The change ID used by the Deep Security Manager to track the drift item.
    `long` | `getDetectionTime()` Get the time this item was first detected, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `java.lang.String` | `getFileName()` Get the filename of the drift item.
    `int` | `getHostID()` Get the ID of the host where this item was detected.
    `java.lang.String` | `getHostName()` Get the name of the host where this item was detected.
    `java.lang.String` | `getPath()` Get the file path where the drift item was detected.
    `java.lang.String` | `getSha256()` Get the SHA-256 hash of the drift item.
    `void` | `setChangeBy(java.lang.String changeBy)` Set the operating system user ID for the user that made the change.
    `void` | `setChangeID(long changeID)` Set the change ID used by the Deep Security Manager to track the drift item.
    `void` | `setDetectionTime(long detectionTime)` Set the time this item was first detected, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `void` | `setFileName(java.lang.String fileName)` Set the filename of the drift item.
    `void` | `setHostID(int hostID)` Set the ID of the host where this item was detected.
    `void` | `setHostName(java.lang.String hostName)` Set the name of the host where this item was detected.
    `void` | `setPath(java.lang.String path)` Set the file path where the drift item was detected.
    `void` | `setSha256(java.lang.String sha256)` Set the SHA-256 hash of the drift item.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DriftItemSummary

          public DriftItemSummary()

  - ### Method Detail

    - #### getChangeID

          public long getChangeID()

      The change ID used by the Deep Security Manager to track the drift item.
      Returns:

    - #### setChangeID

          public void setChangeID(long changeID)

      Set the change ID used by the Deep Security Manager to track the drift item.
      Parameters:
        `changeID` - the change ID used by the Deep Security Manager to track the drift item.

    - #### getSha256

          public java.lang.String getSha256()

      Get the SHA-256 hash of the drift item.
      Returns:
        the SHA-256 hash of the drift item.

    - #### setSha256

          public void setSha256(java.lang.String sha256)

      Set the SHA-256 hash of the drift item.
      Parameters:
        `sha256` - the SHA-256 hash of the drift item.

    - #### getFileName

          public java.lang.String getFileName()

      Get the filename of the drift item.
      Returns:
        the filename of the drift item.

    - #### setFileName

          public void setFileName(java.lang.String fileName)

      Set the filename of the drift item.
      Parameters:
        `fileName` - the filename of the drift item.

    - #### getPath

          public java.lang.String getPath()

      Get the file path where the drift item was detected.
      Returns:
        the file path where the drift item was detected.

    - #### setPath

          public void setPath(java.lang.String path)

      Set the file path where the drift item was detected.
      Parameters:
        `path` - the file path where the drift item was detected.

    - #### getDetectionTime

          public long getDetectionTime()

      Get the time this item was first detected, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
      Returns:
        the time this item was first detected, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

    - #### setDetectionTime

          public void setDetectionTime(long detectionTime)

      Set the time this item was first detected, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
      Parameters:
        `detectionTime` - the time this item was first detected, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

    - #### getHostName

          public java.lang.String getHostName()

      Get the name of the host where this item was detected.
      Returns:
        the name of the host where this item was detected.

    - #### setHostName

          public void setHostName(java.lang.String hostName)

      Set the name of the host where this item was detected.
      Parameters:
        `hostName` - the name of the host where this item was detected.

    - #### getHostID

          public int getHostID()

      Get the ID of the host where this item was detected.
      Returns:
        the ID of the host where this item was detected.

    - #### setHostID

          public void setHostID(int hostID)

      Set the ID of the host where this item was detected.
      Parameters:
        `hostID` - the ID of the host where this item was detected.

    - #### getChangeBy

          public java.lang.String getChangeBy()

      Get the operating system user ID for the user that made the change.
      Returns:
        the operating system user ID for the user that made the change.

    - #### setChangeBy

          public void setChangeBy(java.lang.String changeBy)

      Set the operating system user ID for the user that made the change.
      Parameters:
        `changeBy` - the operating system user ID for the user that made the change.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.